﻿/*  ----------------------------------------------------------------------------
 *  WestLaw Business
 *  ----------------------------------------------------------------------------
 *  Copyright 2011 Thomson Reuters Global Resources.  All Rights Reserved.
 *  Proprietary and Confidential information of TRGR.
 *  Disclosure, Use, or Reproduction without the written authorization of TRGR is prohibited.
 *  ----------------------------------------------------------------------------
 *  Author:     TLR\C105578 (Jim Sugrue)
 *  ----------------------------------------------------------------------------
 */

namespace TRGR.WLB.UE.Common.Infrastructure
{
    /// <summary>
    /// Application wide constants
    /// </summary>
    public class Constants
    {
        /// <summary>
        /// File extension for UE project files
        /// </summary>
        public const string PROJECT_FILE_EXTENSION = "sdf";

        #region Prism regions

        #region Shell regions

        /// <summary>
        /// Base Taxonomy Region
        /// </summary>
        public const string BaseTaxonomyRegion = "BaseTaxonomyRegion";

        /// <summary>
        /// Current Taxonomy Editing Region
        /// </summary>
        public const string TaxonomyCurrentRegion = "TaxonomyCurrentRegion";

        /// <summary>
        /// Primary Prior Taxonomy Region
        /// </summary>
        public const string PrimaryPriorTaxonomyRegion = "PrimaryPriorTaxonomyRegion";

        /// <summary>
        /// Secondary Prior Taxonomy Region
        /// </summary>
        public const string SecondaryPriorTaxonomyRegion = "SecondaryPriorTaxonomyRegion";

        /// <summary>
        /// Task List Region
        /// </summary>
        public const string TaskListRegion = "TaskListRegion";

        /// <summary>
        /// Maintenance View Region
        /// </summary>
        public const string MaintenanceViewRegion = "MaintenanceViewRegion";

        /// <summary>
        /// Match View Region
        /// </summary>
        public const string MatchViewRegion = "MatchViewRegion";

        /// <summary>
        /// Table View Region
        /// </summary>
        public const string TableViewRegion = "TableViewRegion";

        #endregion

        #region Project Explorer 

        /// <summary>
        /// Project Settings Region
        /// </summary>
        public const string ProjectSettingsRegion = "ProjectSettingsRegion";

        /// <summary>
        /// Document Explorer Region
        /// </summary>
        public const string DocumentExplorerRegion = "DocumentExplorerRegion";

        /// <summary>
        /// Role Explorer Region
        /// </summary>
        public const string RoleExplorerRegion = "RoleExplorerRegion";

        /// <summary>
        /// Unit Maintenance Region
        /// </summary>
        public const string UnitExplorerRegion = "UnitExplorerRegion";

        /// <summary>
        /// Context Explorer Region
        /// </summary>
        public const string ContextExplorerRegion = "ContextExplorerRegion";

        /// <summary>
        /// Dimension Maintenance Region
        /// </summary>
        public const string DimensionMaintenanceRegion = "DimensionMaintenanceRegion";
        
        /// <summary>
        /// Submission Control Region
        /// </summary>
        public const string SubmissionControlRegion = "SubmissionControlRegion";

        #endregion

        #region Maintenance Settings regions

        /// <summary>
        /// Context Maintenance Settings View Region
        /// </summary>
        public const string ContextMaintenanceSettingsViewRegion = "ContextMaintenanceSettingsViewRegion";

        /// <summary>
        /// Context Maintenance Settings Minimized Expanded View Region
        /// </summary>
        public const string ContextMaintenanceSettingsMinimizedExpandedViewRegion = "ContextMaintenanceSettingsMinimizedExpandedViewRegion";

        /// <summary>
        /// Context Maintenance Settings Maximized View Region
        /// </summary>
        public const string ContextMaintenanceSettingsMaximizedViewRegion = "ContextMaintenanceSettingsMaximizedViewRegion";

        /// <summary>
        /// Document Maintenance Settings View Region
        /// </summary>
        public const string DocumentMaintenanceSettingsViewRegion = "DocumentMaintenanceSettingsViewRegion";

        /// <summary>
        /// Document Maintenance Settings Minimized Expanded View Region
        /// </summary>
        public const string DocumentMaintenanceSettingsMinimizedExpandedViewRegion = "DocumentMaintenanceSettingsMinimizedExpandedViewRegion";

        /// <summary>
        /// Document Maintenance Settings Maximized View Region
        /// </summary>
        public const string DocumentMaintenanceSettingsMaximizedViewRegion = "DocumentMaintenanceSettingsMaximizedViewRegion";

        /// <summary>
        /// Role Maintenance Settings View Region
        /// </summary>
        public const string RoleMaintenanceSettingsViewRegion = "RoleMaintenanceSettingsViewRegion";

        /// <summary>
        /// Role Maintenance Settings Minimized Expanded View Region
        /// </summary>
        public const string RoleMaintenanceSettingsMinimizedExpandedViewRegion = "RoleMaintenanceSettingsMinimizedExpandedViewRegion";

        /// <summary>
        /// Role Maintenance Settings Maximized View Region
        /// </summary>
        public const string RoleMaintenanceSettingsMaximizedViewRegion = "RoleMaintenanceSettingsMaximizedViewRegion";

        /// <summary>
        /// Unit Maintenance Settings View Region
        /// </summary>
        public const string UnitMaintenanceSettingsViewRegion = "UnitMaintenanceSettingsViewRegion";

        /// <summary>
        /// Unit Maintenance Settings Minimized Expanded View Region
        /// </summary>
        public const string UnitMaintenanceSettingsMinimizedExpandedViewRegion = "UnitMaintenanceSettingsMinimizedExpandedViewRegion";

        /// <summary>
        /// Unit Maintenance Settings Maximized View Region
        /// </summary>
        public const string UnitMaintenanceSettingsMaximizedViewRegion = "UnitMaintenanceSettingsMaximizedViewRegion";

        #endregion

        #endregion

        #region Docking Content Panes

        /// <summary>
        /// Bottom Edge Dock
        /// </summary>
        public const string BottomEdgeDock = "bottomEdgeDock";

        /// <summary>
        /// Left Edge Dock
        /// </summary>
        public const string LeftEdgeDock = "leftEdgeDock";

        /// <summary>
        /// Base Taxonom yDock
        /// </summary>
        public const string BaseTaxonomyDock = "baseTaxonomyDock";

        /// <summary>
        /// Secondary Taxonomy Dock
        /// </summary>
        public const string CurrentTaxonomyDock = "currentTaxonomyDock";

        /// <summary>
        /// Prior Taxonomy Dock
        /// </summary>
        public const string PriorTaxonomyDock = "priorTaxonomyDock";

        /// <summary>
        /// Secondary Taxonomy Dock
        /// </summary>
        public const string SecondaryTaxonomyDock = "secondaryTaxonomyDock";

        /// <summary>
        /// Document Dock
        /// </summary>
        public const string DocumentDock = "documentDock";

        /// <summary>
        /// Match View Dock
        /// </summary>
        public const string MatchViewDock = "matchViewDock";

        /// <summary>
        /// Table View Dock
        /// </summary>
        public const string TableViewDock = "tableViewDock";

        #endregion

        #region views

        /// <summary>
        /// Maintain Role View
        /// </summary>
        public const string MaintainRoleView = "MaintainRoleView";

        /// <summary>
        /// Settings View
        /// </summary>
        public const string SettingsView = "SettingsView";

        #endregion
    }
}
