﻿/*  ----------------------------------------------------------------------------
 *  WestLaw Business
 *  ----------------------------------------------------------------------------
 *  Copyright 2011 Thomson Reuters Global Resources.  All Rights Reserved.
 *  Proprietary and Confidential information of TRGR.
 *  Disclosure, Use, or Reproduction without the written authorization of TRGR is prohibited.
 *  ----------------------------------------------------------------------------
 *  Author:     TLR\C105578 (Jim Sugrue)
 *  ----------------------------------------------------------------------------
 */

namespace TRGR.WLB.UE.UI.Modules.Shell
{
    using System.Windows.Input;
    using Microsoft.Practices.Prism.Commands;
    using Microsoft.Practices.Unity;

    /// <summary>
    /// View Model which serves as the Data Context for the application's Shell View
    /// </summary>
    public class ShellViewModel
    {
        public readonly IUnityContainer container;

        /// <summary>
        /// Initializes a new instance of the ShellViewModel class
        /// The constructor requires references to an implementation of the IModalDialogService and the Prism event aggregator to be provided via dependency injection
        /// </summary>
        public ShellViewModel(IUnityContainer container)
        {
            this.container = container;
            this.AddCommand = new DelegateCommand(this.OnAdd);
        }

        /// <summary>
        /// AddCommand delegate
        /// </summary>
        public ICommand AddCommand { get; protected set; }

        /// <summary>
        /// Add
        /// </summary>
        public void OnAdd()
        {
        }
    }
}
